using ComputerShopContracts.BindingModels;
using ComputerShopContracts.ViewModels;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ComputerShopContracts.BusinessLogicContracts
{
    public interface IReportLogic
    {
        /// Получение списка компонент с указанием, в каких изделиях используются
        List<ReportPurchaseReceivingViewModel> GetPurchaseReceiving();

        List<ReportPurchaseSupplyViewModel> GetPurchaseSupply(ReportBindingModel model);

        public List<ReportComponentReceivingViewModel> GetComponentReceivings(List<int> ids);

        void SavePackagesToWordFile(ReportBindingModel model);
        /// Сохранение компонент с указаеним продуктов в файл-Excel
        void SaveProductComponentToExcelFile(ReportBindingModel model);
        /// Сохранение заказов в файл-Pdf
        void SaveOrdersToPdfFile(ReportBindingModel model);
        void SaveReceivingComponentsToWordFile(ReportBindingModel model);
        void SaveReceivingComponentsToXmlFile(ReportBindingModel model);
        void SavePurchaseSuppliesToPdfFile(ReportBindingModel model);
    }
}
